
package info.textgrid._import;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="textgrid-uri" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="local-data" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="local-metadata" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *       &lt;attribute name="rewrite-method" type="{http://textgrid.info/import}RewriteMethod" default="none" />
 *       &lt;attribute name="rewrite-config" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "importObject")
public class ImportObject {

    @XmlAttribute(name = "textgrid-uri", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String textgridUri;
    @XmlAttribute(name = "local-data", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String localData;
    @XmlAttribute(name = "local-metadata")
    @XmlSchemaType(name = "anyURI")
    protected String localMetadata;
    @XmlAttribute(name = "rewrite-method")
    protected RewriteMethod rewriteMethod;
    @XmlAttribute(name = "rewrite-config")
    @XmlSchemaType(name = "anyURI")
    protected String rewriteConfig;

    /**
     * Gets the value of the textgridUri property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTextgridUri() {
        return textgridUri;
    }

    /**
     * Sets the value of the textgridUri property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTextgridUri(String value) {
        this.textgridUri = value;
    }

    /**
     * Gets the value of the localData property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocalData() {
        return localData;
    }

    /**
     * Sets the value of the localData property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocalData(String value) {
        this.localData = value;
    }

    /**
     * Gets the value of the localMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocalMetadata() {
        return localMetadata;
    }

    /**
     * Sets the value of the localMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocalMetadata(String value) {
        this.localMetadata = value;
    }

    /**
     * Gets the value of the rewriteMethod property.
     * 
     * @return
     *     possible object is
     *     {@link RewriteMethod }
     *     
     */
    public RewriteMethod getRewriteMethod() {
        if (rewriteMethod == null) {
            return RewriteMethod.NONE;
        } else {
            return rewriteMethod;
        }
    }

    /**
     * Sets the value of the rewriteMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link RewriteMethod }
     *     
     */
    public void setRewriteMethod(RewriteMethod value) {
        this.rewriteMethod = value;
    }

    /**
     * Gets the value of the rewriteConfig property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRewriteConfig() {
        return rewriteConfig;
    }

    /**
     * Sets the value of the rewriteConfig property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRewriteConfig(String value) {
        this.rewriteConfig = value;
    }

}
